BasicDesktopIconUI.MouseInputHandler (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicDesktopIconUI, class: MouseInputHandler
Keywords: javax.swing.plaf.basic.BasicDesktopIconUI.MouseInputHandler class

# Class BasicDesktopIconUI.MouseInputHandler

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.event.MouseInputAdapter
javax.swing.plaf.basic.BasicDesktopIconUI.MouseInputHandler

All Implemented Interfaces:
  `MouseListener, MouseMotionListener, MouseWheelListener, EventListener, MouseInputListener`

Enclosing class:
  `BasicDesktopIconUI`

public class BasicDesktopIconUI.MouseInputHandler extends MouseInputAdapter
Listens for mouse movements and acts on them. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicDesktopIconUI`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MouseInputHandler()`
  Constructs a `MouseInputHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mousePressed(MouseEvent e)`
  Invoked when a mouse button has been pressed on a component.
  `void`
  `mouseReleased(MouseEvent e)`
  Invoked when a mouse button has been released on a component.
  `void`
  `moveAndRepaint(JComponent f, int newX, int newY, int newWidth, int newHeight)`
  Moves and repaints a component `f`.

  ### Methods declared in class MouseAdapter

  `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`
  Modifier and Type
  Method
  Description
  `void`
  `mouseClicked(MouseEvent e)`
  Invoked when the mouse button has been clicked (pressed and released) on a component.
  `void`
  `mouseDragged(MouseEvent e)`
  Invoked when a mouse button is pressed on a component and then dragged.
  `void`
  `mouseEntered(MouseEvent e)`
  Invoked when the mouse enters a component.
  `void`
  `mouseExited(MouseEvent e)`
  Invoked when the mouse exits a component.
  `void`
  `mouseMoved(MouseEvent e)`
  Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.
  `void`
  `mouseWheelMoved(MouseWheelEvent e)`
  Invoked when the mouse wheel is rotated.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MouseInputHandler

    public MouseInputHandler()
    Constructs a `MouseInputHandler`.

- ## Method Details

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Invoked when a mouse button has been released on a component.
    Parameters:
      `e` - the event to be processed

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Invoked when a mouse button has been pressed on a component.
    Parameters:
      `e` - the event to be processed

  - ### moveAndRepaint

    public void moveAndRepaint(JComponent f, int newX, int newY, int newWidth, int newHeight)
    Moves and repaints a component `f`.
    Parameters:
      `f` - a component
      `newX` - a new X coordinate
      `newY` - a new Y coordinate
      `newWidth` - a new width
      `newHeight` - a new height